## dired-du 0.5.2

=== Makefile ===
emacs ?= emacs

LOAD = -l dired-du.el

all: test

test:
	$(emacs) -batch $(LOAD) -l dired-du-tests.el -f ert-run-tests-batch-and-exit

compile:
	$(emacs) -batch --eval "(progn (add-to-list 'load-path default-directory) (byte-compile-file \"dired-du.el\"))"

clean:
	rm -f *.elc

.PHONY: all compile clean test

## dired-du 0.5

=== debian/changelog ===
dired-du (0.5-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with dh-elpa 1.13 to fix byte-compilation with unversioned
    emacs

 -- David Bremner <bremner@debian.org>  Fri, 01 Jun 2018 20:44:46 -0300

dired-du (0.5-1) unstable; urgency=medium

  * Initial release (Closes: #865438)

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 21 Jun 2017 17:26:33 +0500

=== debian/control ===
Source: dired-du
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 10),
               dh-elpa
Standards-Version: 3.9.8
Testsuite: autopkgtest-pkg-elpa
Homepage: https://elpa.gnu.org/packages/dired-du.html
Vcs-Browser: https://salsa.debian.org/emacsen-team/dired-du
Vcs-Git: https://salsa.debian.org/emacsen-team/dired-du.git

Package: elpa-dired-du
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         emacsen-common (>= 2.0.8)
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs24,
          emacs25
Built-Using: ${misc:Built-Using}
Description: dired with recursive directory sizes
 This package defines a minor mode `dired-du-mode' to show the
 recursive size of directories in Dired buffers. If `du' program is
 available, then the directory sizes are obtained with it. Otherwise,
 the directory sizes are obtained with Lisp.

## dired-du 0.5.1

=== debian/changelog ===
dired-du (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1
  * Migrate to dh 11
  * d/control: Don't need to depend on coreutils
  * d/control: Change Vcs-{Browser,Git} URL to salsa.debian.org
  * d/control: Update Maintainer (to Debian Emacsen team)
  * d/control: Declare Standards-Version 4.2.1 (no changes needed)
  * d/control: Remove emacsen-common from Depends
  * d/control: Do not enhance emacs24, only emacs and emacs25
  * d/control: Remove Built-Using field
  * d/control: Add Rules-Requires-Root: no
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 02 Oct 2018 11:58:45 +0500

=== debian/control ===
Source: dired-du
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 11),
               dh-elpa
Standards-Version: 4.2.1
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-elpa
Homepage: https://elpa.gnu.org/packages/dired-du.html
Vcs-Browser: https://salsa.debian.org/emacsen-team/dired-du
Vcs-Git: https://salsa.debian.org/emacsen-team/dired-du.git

Package: elpa-dired-du
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs25
Description: dired with recursive directory sizes
 This package defines a minor mode `dired-du-mode' to show the
 recursive size of directories in Dired buffers. If `du' program is
 available, then the directory sizes are obtained with it. Otherwise,
 the directory sizes are obtained with Lisp.

=== debian/watch ===
# This watch file won't produce the orig.tar file and will in fact exit with
# an error. This is okay: we're using gbp to produce orig.tar files so we only
# need uscan to download.

version=3
https://elpa.gnu.org/packages/dired-du.html dired-du-(.+).tar

## dired-du 0.5.2

=== debian/changelog ===
dired-du (0.5.2-2) unstable; urgency=medium

  * Build against newer dh_elpa
  * d/control: Migrate to debhelper-compat 13
  * d/control: Declare Standards-Version 4.5.1 (no changes needed)
  * d/control: Drop emacs25 from Enhances
  * d/copyright: Bump copyright years
  * d/watch: Migrate to version 4

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 10 Dec 2020 19:53:49 +0500

dired-du (0.5.2-1) unstable; urgency=medium

  * New upstream version 0.5.2
  * Migrate to debhelper 12 without d/compat
  * d/copyright: Bump copyright years
  * d/control: Declare Standards-Version 4.4.0 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 09 Jul 2019 09:57:43 +0500

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://elpa.gnu.org/packages/dired-du.html
@@ -17,8 +17,7 @@
 Depends: ${elpa:Depends},
          ${misc:Depends}
 Recommends: emacs (>= 46.0)
-Enhances: emacs,
-          emacs25
+Enhances: emacs
 Description: dired with recursive directory sizes
  This package defines a minor mode `dired-du-mode' to show the
  recursive size of directories in Dired buffers. If `du' program is

=== debian/watch ===
--- 
+++ 
@@ -2,5 +2,5 @@
 # an error. This is okay: we're using gbp to produce orig.tar files so we only
 # need uscan to download.
 
-version=3
+version=4
 https://elpa.gnu.org/packages/dired-du.html dired-du-(.+).tar
